Update Items' Shipping Method
1 min
PATCH
https://api.upstartcommerce.com/v1/cart/profile/cart/shippingmethod/items
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringThe site identifier.
bodyobject<p>The request body must contain the shipping-method id and a list of cart items' ids for which the shipping-method id should be updated.</p>
202<p>Success-the cart item was updated to the indicated shipping method.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PATCH \
--url https://api.upstartcommerce.com/v1/cart/profile/cart/shippingmethod/items \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--data '{
"itemIds": [],
"shippingMethodId": ""
}'